﻿using UnityEngine;
using System.Collections;

public class ObjectLightUp : MonoBehaviour {

    float timer = 0;

	public Material outlineMaterial;
	public Material blankMaterial;
    public bool activated = false;
    // Use this for initialization
    void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {

        if (activated)
        {
            timer += Time.deltaTime;
            //this.GetComponent<Renderer>().material.SetColor("_EmissionColor", Color.red);
			this.GetComponent<Renderer> ().material = outlineMaterial;

            if (timer >= 1)
            {
                timer = 0;
                activated = false;
            }
        }
        else
        {
            //this.GetComponent<Renderer>().material.SetColor("_EmissionColor", Color.black);
			this.GetComponent<Renderer> ().material = blankMaterial;
        }
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag == "Sonar")
        {
            activated = true;
        }
    }
    
}
