﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class SpashFade : MonoBehaviour {

    public Image splashImage;

	// Use this for initialization
	IEnumerator Start () {

        splashImage.canvasRenderer.SetAlpha(0.0f);

        FadeIn();

        yield return new WaitForSeconds(2.5f);

        FadeOut();

        yield return new WaitForSeconds(2.5f);
        Application.LoadLevel("Title");
	
	}

    void FadeIn()
    {
        splashImage.CrossFadeAlpha(1.0f, 1.5f, false);
    }


    void FadeOut()
    {
        splashImage.CrossFadeAlpha(0.0f, 2.5f, false);
    }

    // Update is called once per frame
    void Update () {
	
	}
}
